aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/hxtool
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/hxtool')
-rwxr-xr-xscripts/hxtool24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/hxtool b/scripts/hxtool
new file mode 100755
index 000000000..80516b943
--- /dev/null
+++ b/scripts/hxtool
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+hxtoh()
+{
+ flag=1
+ while read -r str; do
+ case $str in
+ HXCOMM*)
+ ;;
+ SRST*|ERST*) flag=$(($flag^1))
+ ;;
+ *)
+ test $flag -eq 1 && printf "%s\n" "$str"
+ ;;
+ esac
+ done
+}
+
+case "$1" in
+"-h") hxtoh ;;
+*) exit 1 ;;
+esac < "$2"
+
+exit 0